Debian Bug report logs - #362026
RM: xen -- obsolete, new splited xen packages upcoming

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Julien Danjou <acid@debian.org>

Date: Tue, 11 Apr 2006 20:49:14 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-xen-devel@lists.alioth.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#362026; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-xen-devel@lists.alioth.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: pkg-xen-devel@lists.alioth.debian.org
Subject: RM: xen -- obsolete, new splited xen packages upcoming
Date: Tue, 11 Apr 2006 22:34:48 +0200
[Message part 1 (text/plain, inline)]
Package: ftp.debian.org
Severity: normal

Hello,

Please consider removing xen.
New xen-3.0 splited packages are upcoming, making this one obsolete.

Cheers,
-- 
Julien Danjou
// <julien@danjou.info>     http://julien.danjou.info
// 9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
// The more we fly, the more we climb, the more we know that heaven is a lie.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#362026; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #10 received at 362026@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Julien Danjou <acid@debian.org>, 362026@bugs.debian.org
Cc: pkg-xen-devel@lists.alioth.debian.org
Subject: Re: Bug#362026: RM: xen -- obsolete, new splited xen packages upcoming
Date: Wed, 12 Apr 2006 12:00:18 +0200
On Tue, Apr 11, 2006 at 10:34:48PM +0200, Julien Danjou wrote:
> Package: ftp.debian.org
> Severity: normal
> 
> Hello,
> 
> Please consider removing xen.
> New xen-3.0 splited packages are upcoming, making this one obsolete.

Erm, why don't you upload with 'xen' instead of 'xen-3.0'? This will
also make upgrades easier. Since you don't want to support both xen
versions at the same time, I see no reason for this source and binary
package rename?

Seems to me like a gratuitous package rename.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#362026; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #15 received at 362026@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 362026@bugs.debian.org, pkg-xen-devel@lists.alioth.debian.org
Subject: Re: Bug#362026: RM: xen -- obsolete, new splited xen packages upcoming
Date: Wed, 12 Apr 2006 12:02:31 +0200
[Message part 1 (text/plain, inline)]
On Wed, Apr 12, 2006 at 12:00:18PM +0200, Jeroen van Wolffelaar wrote:
> Erm, why don't you upload with 'xen' instead of 'xen-3.0'? This will
> also make upgrades easier. Since you don't want to support both xen
> versions at the same time, I see no reason for this source and binary
> package rename?

Because we do plan to package and support several major releases of Xen
at the same time.
Furthermore, upgrade from Xen 2 is not possible. This has been discussed
_a lot_ on the Xen Debian mailing list.

Cheers,
-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julien Danjou <acid@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 362026-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 362026-close@bugs.debian.org
Cc: xen@packages.debian.org, xen@packages.qa.debian.org
Subject: Bug#362026: fixed
Date: Thu, 06 Jul 2006 15:43:12 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

kernel-patch-xen |    2.0.6-1 | i386
libxen-dev |    2.0.6-1 | i386
libxen-python |    2.0.6-1 | i386
 libxen2.0 |    2.0.6-1 | i386
       xen |    2.0.6-1 | source, i386
  xen-docs |    2.0.6-1 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 362026@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 20:31:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:22:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.